Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 250546 - Commit dialog: Embedded diff-panel: Shortcuts for "next/prev difference" action do not work
Commit dialog: Embedded diff-panel: Shortcuts for "next/prev difference" acti...
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0.2
PC Windows 7
: P3 (vote)
: 8.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-19 15:01 UTC by markiewb
Modified: 2015-03-25 03:22 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2015-02-19 15:01:44 UTC
Git commit-dialog:
* double click on a file with several changes
* invoke shortcut for "next/prev difference" to navigate through the changes

ACTUAL:
* shortcuts do not work (manual workaround is to click on the next/prev icons in the toolbar, which is tedious)

EXPECTED:
* these shortcuts work also here AND 
* the icons in the toolbar are still available :)


NB 8.0.2
Comment 1 Ondrej Vrabec 2015-02-27 16:31:51 UTC
fix: http://hg.netbeans.org/core-main/rev/4ee24c623d1d
Comment 2 Quality Engineering 2015-03-01 06:28:25 UTC
Integrated into 'main-silver', will be available in build *201503010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4ee24c623d1d
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #250546 - Commit dialog: Embedded diff-panel: Shortcuts for "next/prev difference" action do not work
The next/prev actions are CallbackSystemActions defined by the IDE
and registered by the diff panels. So in order to delegate the events
to them the commit dialog (because it is not a TopComponent) must
up to some point copy the TC's logic in processKeyBinding and pick
the right action from the diff panel's input map.
Comment 3 Quality Engineering 2015-03-25 03:22:34 UTC
Integrated into 'main-silver', will be available in build *201503250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/cd4802424af0
User: Alexander Simon <alexvsimon@netbeans.org>
Log: #250546 - Commit dialog: Embedded diff-panel: Shortcuts for "next/prev difference" action do not work
The next/prev actions are CallbackSystemActions defined by the IDE
and registered by the diff panels. So in order to delegate the events
to them the commit dialog (because it is not a TopComponent) must
up to some point copy the TC's logic in processKeyBinding and pick
the right action from the diff panel's input map.
- merge changes from local VCSs


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo